import 'package:cpt_ms/modules/job/sign_camera/sign_camera_page.dart';
import 'package:cpt_ms/modules/job/sign_in_sign_out/sign_in_sign_out_page.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/main/main_page.dart';



/// 模块路由配置
class MSPageRouter {
  static final routes = <GetPage<dynamic>>[

    //首页
    GetPage(
      name: RouterPath.MSMain,
      page: () => MSMainPage(),
    ),

    //签到签出
    GetPage(
      name: RouterPath.MSJobSignInSignOut,
      page: () => SignInSignOutPage(),
    ),

    //签到签出的拍摄页面
    GetPage(
      name: RouterPath.MSSignCamera,
      page: () => SignCameraPage(),
    ),

  ];
}
